Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.processor
Class ProcessorTemplateElem

    java.lang.Object
      |
      +--weblogic.apache.xalan.processor.XSLTElementProcessor
            |
            +--weblogic.apache.xalan.processor.ProcessorTemplateElem

Direct Known Subclasses:
  ProcessorLRE, ProcessorText, ProcessorUnknown

public class ProcessorTemplateElem
extends XSLTElementProcessor

This class processes parse events for an XSLT template element.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  XSLT DTD, section-Creating-the-Result-Tree in XSLT Specification

Constructor Summary
`ProcessorTemplateElem()`

Method Summary
`protected void` | `appendAndPush(StylesheetHandler handler, ElemTemplateElement elem)` Append the current template element to the current template element, and then push it onto the current template element stack.
`void` | `endElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName)` Receive notification of the end of an element.
`void` | `startElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName, org.xml.sax.Attributes attributes)` Receive notification of the start of an element.

Methods inherited from class weblogic.apache.xalan.processor.XSLTElementProcessor
`characters, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startNonText, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorTemplateElem

    public ProcessorTemplateElem()

Method Detail

### startElement

    public void startElement(StylesheetHandler handler,
                             java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String rawName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Receive notification of the start of an element.

  Parameters:
    `name` - The element type name.
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `uri` - The Namespace URI, or an empty string.
    `localName` - The local name (without prefix), or empty string if not namespace processing.
    `rawName` - The qualified name (with prefix).
    `attributes` - The specified or defaulted attributes.
  Overrides:
    startElement in class XSLTElementProcessor

### appendAndPush

    protected void appendAndPush(StylesheetHandler handler,
                                 ElemTemplateElement elem)
                          throws org.xml.sax.SAXException

  Append the current template element to the current template element, and then push it onto the current template element stack.

  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `elem` - non-null reference to a the current template element.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### endElement

    public void endElement(StylesheetHandler handler,
                           java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws org.xml.sax.SAXException

  Receive notification of the end of an element.

  Parameters:
    `name` - The element type name.
    `attributes` - The specified or defaulted attributes.
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `uri` - The Namespace URI, or an empty string.
    `localName` - The local name (without prefix), or empty string if not namespace processing.
    `rawName` - The qualified name (with prefix).
  Overrides:
    endElement in class XSLTElementProcessor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference